<?php

namespace app\api\controller;

use app\common\controller\Api;
use think\Db;
/**
 * 基础配置接口
 */
class Baseconfig extends Api
{
    protected $noNeedLogin = ['*'];
    protected $noNeedRight = ['*'];

    //
    public function index(){

        $config = [
            'kefu_userids'    => config('site.kefu_userids'), //在线客服用户ids
//            'index_pipei_switch'    => config('site.index_pipei_switch'), //首页匹配功能开关
        ];

        $this->success('success',$config);
    }


    /**
     * 获取安卓版本更新信息
     */
    public function getandroidEdition() {
        // 获取二维码
        $is_force = config("site.android_is_force");
        $apkUrl = config("site.android_apkUrl");
        $apkName = config("site.android_apkName");
        $desc = config("site.android_desc");
        $versionCode = config("site.android_versionCode");
        $this->success("获取成功！",["versionCode"=>$versionCode,"isForceUpdate"=>$is_force,"apkUrl"=>$apkUrl,"apkName"=>$apkName,"desc"=>$desc]);
    }

    /**
     * 获取ios版本更新信息
     */
    public function getiosEdition() {
        // 获取二维码
        $is_force = config("site.iso_is_force");
        $apkUrl = config("site.ios_downurl");
        $apkName = config("site.iso_appname");
        $desc = config("site.iso_desc");
        $versionCode = config("site.iso_versioncode");
        $this->success("获取成功！",["versionCode"=>$versionCode,"isForceUpdate"=>$is_force,"apkUrl"=>$apkUrl,"apkName"=>$apkName,"desc"=>$desc]);
    }

    //启动广告图
    public function start_advert(){
        $info = Db::name('start_advert')->where('is_show',1)->order('id desc')->find();
        $info = info_domain_image($info,['images','video_file']);
        $this->success_find('success',$info);
    }

    /**
     * 年龄段列表
     * @return void
     */
    public function ageList()
    {
        try {
            $field = 'id,name';
            $where['status'] = 1;
            $result = model('Age')->field($field)->where($where)->order('weigh asc')->select();

            $this->success('获取成功',$result);
        } catch (Exception $e) {
            $this->error($e->getMessage());
        }
    }


    //个人资料的一下枚举
    public function userinfo_enum(){
//        $enum_hobby = Db::name('enum_hobby')->field('id,name')->order('weight desc,id desc')->select();
        $enum_job = Db::name('enum_job')->field('id,name')->order('weight desc,id desc')->select();
//        $enum_marital = Db::name('enum_marital')->field('id,name')->order('weight desc,id desc')->select();
//        $enum_education = Db::name('enum_education')->field('id,name')->order('weight desc,id desc')->select();
//        $enum_tag = Db::name('enum_tag')->field('id,name')->order('weight desc,id desc')->select();
//        $enum_wages = Db::name('enum_wages')->field('id,name')->order('weight desc,id desc')->select();

        $data = [
//            'enum_hobby' => $enum_hobby,
            'enum_job' => $enum_job,
//            'enum_marital' => $enum_marital,
//            'enum_education' => $enum_education,
//            'enum_tag' => $enum_tag,
//            'enum_wages' => $enum_wages,
        ];

        $this->success('success',$data);
    }

    //关键字过滤
    public function keyworld_config(){
        $config = config('keyworld');
        $this->success('success',$config);
    }



}
